import { defineComponent as r, mergeModels as p, useModel as c, watch as f, createElementBlock as b, createCommentVNode as g, openBlock as x, createVNode as n, unref as t } from "vue";
import { useI18n as V } from "vue-i18n";
import { ax as u, a8 as _, l as I } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { b as m } from "./ecm-datahub-image-to-string.json_vue_type_i18n_index_0_src_true_lang-CJZboNVr.mjs";
const v = {
  key: 0,
  class: "d-flex flex-wrap extension-config"
}, d = /* @__PURE__ */ r({
  __name: "EcmDataHubIntegrationImageToDownloadLinkExtension",
  props: /* @__PURE__ */ p({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(s) {
    const e = c(s, "modelValue"), { t: l } = V();
    return f(
      e,
      (i) => {
        i || (e.value = {});
      },
      { immediate: !0 }
    ), (i, a) => e.value ? (x(), b("div", v, [
      n(t(u), {
        modelValue: e.value.imageNumber,
        "onUpdate:modelValue": a[0] || (a[0] = (o) => e.value.imageNumber = o),
        label: t(l)("ecm-datahub-ui.image.imageNumber"),
        type: "text",
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"]),
      n(t(u), {
        modelValue: e.value.maxAgeInDays,
        "onUpdate:modelValue": a[1] || (a[1] = (o) => e.value.maxAgeInDays = o),
        label: t(l)("ecm-datahub-ui.image.maxAgeInDays"),
        type: "text",
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"]),
      n(t(_), {
        modelValue: e.value.downloadOnlyOnce,
        "onUpdate:modelValue": a[2] || (a[2] = (o) => e.value.downloadOnlyOnce = o),
        label: t(l)("ecm-datahub-ui.image.downloadOnlyOnce"),
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"])
    ])) : g("", !0);
  }
});
typeof m == "function" && m(d);
const N = /* @__PURE__ */ I(d, [["__scopeId", "data-v-e00d3c93"]]);
export {
  N as default
};
